xine-lib: xine-lib-1.2.13/src/libw32dll/qtx/qtxsdk/components.h File Reference

xine-lib 1.2.13-20230125hg15249

Data Structures | Macros | Typedefs | Enumerations | Functions
components.h File Reference

Go to the source code of this file.

## Data Structures
struct | Pattern

## Macros
#define | FOUR_CHAR_CODE(a, b, c, d) (((a)<<24)|((b)<<16)|((c)<<8)|(d))
#define | anyCodec ((CodecComponent)0)

## Typedefs
typedef char * | Ptr
typedef Ptr * | Handle
typedef long | Size
typedef unsigned char | Boolean
typedef unsigned char | Str31[32]
typedef long | Fixed
typedef long | OSErr
typedef int | OSType
typedef long | ComponentResult
typedef unsigned char | UInt8
typedef signed char | SInt8
typedef unsigned short | UInt16
typedef signed short | SInt16
typedef unsigned long | UInt32
typedef signed long | SInt32
typedef void * | GlobalsPtr
typedef void ** | Globals
typedef struct ComponentParameters | ComponentParameters
typedef struct ComponentDescription | ComponentDescription
typedef struct ResourceSpec | ResourceSpec
typedef struct ComponentResource | ComponentResource
typedef ComponentResource * | ComponentResourcePtr
typedef ComponentResourcePtr * | ComponentResourceHandle
typedef struct ComponentRecord | ComponentRecord
typedef ComponentRecord * | Component
typedef struct ComponentInstanceRecord | ComponentInstanceRecord
typedef ComponentInstanceRecord * | ComponentInstance
typedef struct Rect | Rect
typedef Rect * | RectPtr
typedef struct RGBColor | RGBColor
typedef RGBColor * | RGBColorPtr
typedef RGBColorPtr * | RGBColorHdl
typedef struct ColorSpec | ColorSpec
typedef ColorSpec * | ColorSpecPtr
typedef ColorSpec | CSpecArray[1]
typedef struct ColorTable | ColorTable
typedef ColorTable * | CTabPtr
typedef CTabPtr * | CTabHandle
typedef struct MatrixRecord | MatrixRecord
typedef MatrixRecord * | MatrixRecordPtr
typedef long | ImageSequence
typedef OSType | CodecType
typedef unsigned short | CodecFlags
typedef unsigned long | CodecQ
typedef struct ImageDescription | ImageDescription
typedef ImageDescription * | ImageDescriptionPtr
typedef ImageDescriptionPtr * | ImageDescriptionHandle
typedef struct PixMapExtension | PixMapExtension
typedef PixMapExtension * | PixMapExtPtr
typedef PixMapExtPtr * | PixMapExtHandle
typedef struct PixMap | PixMap
typedef PixMap * | PixMapPtr
typedef PixMapPtr * | PixMapHandle
typedef struct BitMap | BitMap
typedef BitMap * | BitMapPtr
typedef BitMapPtr * | BitMapHandle
typedef struct OpaqueRgnHandle * | RgnHandle
typedef struct Pattern | Pattern
typedef unsigned char | Style
typedef Style | StyleField
typedef struct Point | Point
typedef struct GrafPort | GrafPort
typedef GrafPort * | GWorldPtr
typedef GWorldPtr * | GWorldHandle
typedef unsigned long | GWorldFlags
typedef Component | CompressorComponent
typedef Component | DecompressorComponent
typedef Component | CodecComponent
typedef void * | ImageCodecDrawBandCompleteUPP
typedef long long | ICMProgressProcRecord
typedef long long | ICMCompletionProcRecord
typedef long long | ICMDataProcRecord
typedef void * | ICMFrameTimePtr
typedef void * | CDSequenceDataSourcePtr
typedef void * | ICMFrameTimeInfoPtr
typedef struct OpaqueGrafPtr * | GrafPtr
typedef GrafPtr | CGrafPtr
typedef struct CodecCapabilities | CodecCapabilities
typedef struct CodecDecompressParams | CodecDecompressParams
typedef struct ImageSubCodecDecompressCapabilities | ImageSubCodecDecompressCapabilities
typedef struct ImageSubCodecDecompressRecord | ImageSubCodecDecompressRecord
typedef struct CodecInfo | CodecInfo

## Enumerations
enum | { k16LE555PixelFormat = ((('L')<<24)|(('5')<<16)|(('5')<<8)|('5')) , k16LE5551PixelFormat = ((('5')<<24)|(('5')<<16)|(('5')<<8)|('1')) , k16BE565PixelFormat = ((('B')<<24)|(('5')<<16)|(('6')<<8)|('5')) , k16LE565PixelFormat = ((('L')<<24)|(('5')<<16)|(('6')<<8)|('5')) , k24BGRPixelFormat = ((('2')<<24)|(('4')<<16)|(('B')<<8)|('G')) , k32BGRAPixelFormat = ((('B')<<24)|(('G')<<16)|(('R')<<8)|('A')) , k32ABGRPixelFormat = ((('A')<<24)|(('B')<<16)|(('G')<<8)|('R')) , k32RGBAPixelFormat = ((('R')<<24)|(('G')<<16)|(('B')<<8)|('A')) , kYUVSPixelFormat = ((('y')<<24)|(('u')<<16)|(('v')<<8)|('s')) , kYUVUPixelFormat = ((('y')<<24)|(('u')<<16)|(('v')<<8)|('u')) , kYVU9PixelFormat = ((('Y')<<24)|(('V')<<16)|(('U')<<8)|('9')) , kYUV411PixelFormat = ((('Y')<<24)|(('4')<<16)|(('1')<<8)|('1')) , kYVYU422PixelFormat = ((('Y')<<24)|(('V')<<16)|(('Y')<<8)|('U')) , kUYVY422PixelFormat = ((('U')<<24)|(('Y')<<16)|(('V')<<8)|('Y')) , kYUV211PixelFormat = ((('Y')<<24)|(('2')<<16)|(('1')<<8)|('1')) , k2vuyPixelFormat = ((('2')<<24)|(('v')<<16)|(('u')<<8)|('y')) }
enum | { srcCopy = 0 , srcOr = 1 , srcXor = 2 , srcBic = 3 , notSrcCopy = 4 , notSrcOr = 5 , notSrcXor = 6 , notSrcBic = 7 , patCopy = 8 , patOr = 9 , patXor = 10 , patBic = 11 , notPatCopy = 12 , notPatOr = 13 , notPatXor = 14 , notPatBic = 15 , grayishTextOr = 49 , hilitetransfermode = 50 , hilite = 50 , blend = 32 , addPin = 33 , addOver = 34 , subPin = 35 , addMax = 37 , adMax = 37 , subOver = 38 , adMin = 39 , ditherCopy = 64 , transparent = 36 }
enum | { codecLosslessQuality = 0x00000400 , codecMaxQuality = 0x000003FF , codecMinQuality = 0x00000000 , codecLowQuality = 0x00000100 , codecNormalQuality = 0x00000200 , codecHighQuality = 0x00000300 }
enum | { codecCanScale = 1L << 0 , codecCanMask = 1L << 1 , codecCanMatte = 1L << 2 , codecCanTransform = 1L << 3 , codecCanTransferMode = 1L << 4 , codecCanCopyPrev = 1L << 5 , codecCanSpool = 1L << 6 , codecCanClipVertical = 1L << 7 , codecCanClipRectangular = 1L << 8 , codecCanRemapColor = 1L << 9 , codecCanFastDither = 1L << 10 , codecCanSrcExtract = 1L << 11 , codecCanCopyPrevComp = 1L << 12 , codecCanAsync = 1L << 13 , codecCanMakeMask = 1L << 14 , codecCanShift = 1L << 15 , codecCanAsyncWhen = 1L << 16 , codecCanShieldCursor = 1L << 17 , codecCanManagePrevBuffer = 1L << 18 , codecHasVolatileBuffer = 1L << 19 , codecWantsRegionMask = 1L << 20 , codecImageBufferIsOnScreen = 1L << 21 , codecWantsDestinationPixels = 1L << 22 , codecWantsSpecialScaling = 1L << 23 , codecHandlesInputs = 1L << 24 , codecCanDoIndirectSurface = 1L << 25 , codecIsSequenceSensitive = 1L << 26 , codecRequiresOffscreen = 1L << 27 , codecRequiresMaskBits = 1L << 28 , codecCanRemapResolution = 1L << 29 , codecIsDirectToScreenOnly = 1L << 30 , codecCanLockSurface = 1L << 31 }
enum | { codecUsesOverlaySurface = 1L << 0 , codecImageBufferIsOverlaySurface = 1L << 1 , codecSrcMustBeImageBuffer = 1L << 2 , codecImageBufferIsInAGPMemory = 1L << 4 , codecImageBufferIsInPCIMemory = 1L << 5 }
enum | { codecConditionFirstBand = 1L << 0 , codecConditionLastBand = 1L << 1 , codecConditionFirstFrame = 1L << 2 , codecConditionNewDepth = 1L << 3 , codecConditionNewTransform = 1L << 4 , codecConditionNewSrcRect = 1L << 5 , codecConditionNewMask = 1L << 6 , codecConditionNewMatte = 1L << 7 , codecConditionNewTransferMode = 1L << 8 , codecConditionNewClut = 1L << 9 , codecConditionNewAccuracy = 1L << 10 , codecConditionNewDestination = 1L << 11 , codecConditionFirstScreen = 1L << 12 , codecConditionDoCursor = 1L << 13 , codecConditionCatchUpDiff = 1L << 14 , codecConditionMaskMayBeChanged = 1L << 15 , codecConditionToBuffer = 1L << 16 , codecConditionCodecChangedMask = 1L << 31 }
enum | { codecInfoDoes1 = (1L << 0) , codecInfoDoes2 = (1L << 1) , codecInfoDoes4 = (1L << 2) , codecInfoDoes8 = (1L << 3) , codecInfoDoes16 = (1L << 4) , codecInfoDoes32 = (1L << 5) , codecInfoDoesDither = (1L << 6) , codecInfoDoesStretch = (1L << 7) , codecInfoDoesShrink = (1L << 8) , codecInfoDoesMask = (1L << 9) , codecInfoDoesTemporal = (1L << 10) , codecInfoDoesDouble = (1L << 11) , codecInfoDoesQuad = (1L << 12) , codecInfoDoesHalf = (1L << 13) , codecInfoDoesQuarter = (1L << 14) , codecInfoDoesRotate = (1L << 15) , codecInfoDoesHorizFlip = (1L << 16) , codecInfoDoesVertFlip = (1L << 17) , codecInfoHasEffectParameterList = (1L << 18) , codecInfoDoesBlend = (1L << 19) , codecInfoDoesWarp = (1L << 20) , codecInfoDoesRecompress = (1L << 21) , codecInfoDoesSpool = (1L << 22) , codecInfoDoesRateConstrain = (1L << 23) }
enum | { codecInfoDepth1 = (1L << 0) , codecInfoDepth2 = (1L << 1) , codecInfoDepth4 = (1L << 2) , codecInfoDepth8 = (1L << 3) , codecInfoDepth16 = (1L << 4) , codecInfoDepth32 = (1L << 5) , codecInfoDepth24 = (1L << 6) , codecInfoDepth33 = (1L << 7) , codecInfoDepth34 = (1L << 8) , codecInfoDepth36 = (1L << 9) , codecInfoDepth40 = (1L << 10) , codecInfoStoresClut = (1L << 11) , codecInfoDoesLossless = (1L << 12) , codecInfoSequenceSensitive = (1L << 13) }

## Functions
struct | __attribute__ ((__packed__)) ComponentParameters
static void | dump_ImageDescription (void *xxx)
static void | dump_Rect (const char *title, Rect *r)
static void | dump_MatrixRecord (const char *title, MatrixRecord *m)
static void | dump_PixMap (void *xxx)
static void | dump_CodecCapabilities (void *xxx)
static void | dump_CodecDecompressParams (void *xxx)

## Macro Definition Documentation

## ◆ anyCodec

#define anyCodec ((CodecComponent)0)

## ◆ FOUR_CHAR_CODE

#define FOUR_CHAR_CODE | ( |  | a,
|  |  | b,
|  |  | c,
|  |  | d ) (((a)<<24)|((b)<<16)|((c)<<8)|(d))

## Typedef Documentation

## ◆ BitMap

typedef struct BitMap BitMap

## ◆ BitMapHandle

typedef BitMapPtr* BitMapHandle

## ◆ BitMapPtr

typedef BitMap* BitMapPtr

## ◆ Boolean

typedef unsigned char Boolean

## ◆ CDSequenceDataSourcePtr

typedef void* CDSequenceDataSourcePtr

## ◆ CGrafPtr

typedef GrafPtr CGrafPtr

## ◆ CodecCapabilities

typedef struct CodecCapabilities CodecCapabilities

## ◆ CodecComponent

typedef Component CodecComponent

## ◆ CodecDecompressParams

typedef struct CodecDecompressParams CodecDecompressParams

## ◆ CodecFlags

typedef unsigned short CodecFlags

## ◆ CodecInfo

typedef struct CodecInfo CodecInfo

## ◆ CodecQ

typedef unsigned long CodecQ

## ◆ CodecType

typedef OSType CodecType

## ◆ ColorSpec

typedef struct ColorSpec ColorSpec

## ◆ ColorSpecPtr

typedef ColorSpec* ColorSpecPtr

## ◆ ColorTable

typedef struct ColorTable ColorTable

## ◆ Component

typedef ComponentRecord* Component

## ◆ ComponentDescription

typedef struct ComponentDescription ComponentDescription

## ◆ ComponentInstance

typedef ComponentInstanceRecord* ComponentInstance

## ◆ ComponentInstanceRecord

typedef struct ComponentInstanceRecord ComponentInstanceRecord

## ◆ ComponentParameters

typedef struct ComponentParameters ComponentParameters

## ◆ ComponentRecord

typedef struct ComponentRecord ComponentRecord

## ◆ ComponentResource

typedef struct ComponentResource ComponentResource

## ◆ ComponentResourceHandle

typedef ComponentResourcePtr* ComponentResourceHandle

## ◆ ComponentResourcePtr

typedef ComponentResource* ComponentResourcePtr

## ◆ ComponentResult

typedef long ComponentResult

## ◆ CompressorComponent

typedef Component CompressorComponent

## ◆ CSpecArray

typedef ColorSpec CSpecArray[1]

## ◆ CTabHandle

typedef CTabPtr* CTabHandle

## ◆ CTabPtr

typedef ColorTable* CTabPtr

## ◆ DecompressorComponent

typedef Component DecompressorComponent

## ◆ Fixed

typedef long Fixed

## ◆ Globals

typedef void** Globals

## ◆ GlobalsPtr

typedef void* GlobalsPtr

## ◆ GrafPort

typedef struct GrafPort GrafPort

## ◆ GrafPtr

typedef struct OpaqueGrafPtr* GrafPtr

## ◆ GWorldFlags

typedef unsigned long GWorldFlags

## ◆ GWorldHandle

typedef GWorldPtr* GWorldHandle

## ◆ GWorldPtr

typedef GrafPort* GWorldPtr

## ◆ Handle

typedef Ptr* Handle

## ◆ ICMCompletionProcRecord

typedef long long ICMCompletionProcRecord

## ◆ ICMDataProcRecord

typedef long long ICMDataProcRecord

## ◆ ICMFrameTimeInfoPtr

typedef void* ICMFrameTimeInfoPtr

## ◆ ICMFrameTimePtr

typedef void* ICMFrameTimePtr

## ◆ ICMProgressProcRecord

typedef long long ICMProgressProcRecord

## ◆ ImageCodecDrawBandCompleteUPP

typedef void* ImageCodecDrawBandCompleteUPP

## ◆ ImageDescription

typedef struct ImageDescription ImageDescription

## ◆ ImageDescriptionHandle

typedef ImageDescriptionPtr* ImageDescriptionHandle

## ◆ ImageDescriptionPtr

typedef ImageDescription* ImageDescriptionPtr

## ◆ ImageSequence

typedef long ImageSequence

## ◆ ImageSubCodecDecompressCapabilities

typedef struct ImageSubCodecDecompressCapabilities ImageSubCodecDecompressCapabilities

## ◆ ImageSubCodecDecompressRecord

typedef struct ImageSubCodecDecompressRecord ImageSubCodecDecompressRecord

## ◆ MatrixRecord

typedef struct MatrixRecord MatrixRecord

## ◆ MatrixRecordPtr

typedef MatrixRecord* MatrixRecordPtr

## ◆ OSErr

typedef long OSErr

## ◆ OSType

typedef int OSType

## ◆ Pattern

typedef struct Pattern Pattern

## ◆ PixMap

typedef struct PixMap PixMap

## ◆ PixMapExtension

typedef struct PixMapExtension PixMapExtension

## ◆ PixMapExtHandle

typedef PixMapExtPtr* PixMapExtHandle

## ◆ PixMapExtPtr

typedef PixMapExtension* PixMapExtPtr

## ◆ PixMapHandle

typedef PixMapPtr* PixMapHandle

## ◆ PixMapPtr

typedef PixMap* PixMapPtr

## ◆ Point

typedef struct Point Point

## ◆ Ptr

typedef char* Ptr

## ◆ Rect

typedef struct Rect Rect

## ◆ RectPtr

typedef Rect* RectPtr

## ◆ ResourceSpec

typedef struct ResourceSpec ResourceSpec

## ◆ RGBColor

typedef struct RGBColor RGBColor

## ◆ RGBColorHdl

typedef RGBColorPtr* RGBColorHdl

## ◆ RGBColorPtr

typedef RGBColor* RGBColorPtr

## ◆ RgnHandle

typedef struct OpaqueRgnHandle* RgnHandle

## ◆ SInt16

typedef signed short SInt16

## ◆ SInt32

typedef signed long SInt32

## ◆ SInt8

typedef signed char SInt8

## ◆ Size

typedef long Size

## ◆ Str31

typedef unsigned char Str31[32]

## ◆ Style

typedef unsigned char Style

## ◆ StyleField

typedef Style StyleField

## ◆ UInt16

typedef unsigned short UInt16

## ◆ UInt32

typedef unsigned long UInt32

## ◆ UInt8

typedef unsigned char UInt8

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
k16LE555PixelFormat |
k16LE5551PixelFormat |
k16BE565PixelFormat |
k16LE565PixelFormat |
k24BGRPixelFormat |
k32BGRAPixelFormat |
k32ABGRPixelFormat |
k32RGBAPixelFormat |
kYUVSPixelFormat |
kYUVUPixelFormat |
kYVU9PixelFormat |
kYUV411PixelFormat |
kYVYU422PixelFormat |
kUYVY422PixelFormat |
kYUV211PixelFormat |
k2vuyPixelFormat |

## ◆ anonymous enum

anonymous enum

Enumerator
srcCopy |
srcOr |
srcXor |
srcBic |
notSrcCopy |
notSrcOr |
notSrcXor |
notSrcBic |
patCopy |
patOr |
patXor |
patBic |
notPatCopy |
notPatOr |
notPatXor |
notPatBic |
grayishTextOr |
hilitetransfermode |
hilite |
blend |
addPin |
addOver |
subPin |
addMax |
adMax |
subOver |
adMin |
ditherCopy |
transparent |

## ◆ anonymous enum

anonymous enum

Enumerator
codecLosslessQuality |
codecMaxQuality |
codecMinQuality |
codecLowQuality |
codecNormalQuality |
codecHighQuality |

## ◆ anonymous enum

anonymous enum

Enumerator
codecCanScale |
codecCanMask |
codecCanMatte |
codecCanTransform |
codecCanTransferMode |
codecCanCopyPrev |
codecCanSpool |
codecCanClipVertical |
codecCanClipRectangular |
codecCanRemapColor |
codecCanFastDither |
codecCanSrcExtract |
codecCanCopyPrevComp |
codecCanAsync |
codecCanMakeMask |
codecCanShift |
codecCanAsyncWhen |
codecCanShieldCursor |
codecCanManagePrevBuffer |
codecHasVolatileBuffer |
codecWantsRegionMask |
codecImageBufferIsOnScreen |
codecWantsDestinationPixels |
codecWantsSpecialScaling |
codecHandlesInputs |
codecCanDoIndirectSurface |
codecIsSequenceSensitive |
codecRequiresOffscreen |
codecRequiresMaskBits |
codecCanRemapResolution |
codecIsDirectToScreenOnly |
codecCanLockSurface |

## ◆ anonymous enum

anonymous enum

Enumerator
codecUsesOverlaySurface |
codecImageBufferIsOverlaySurface |
codecSrcMustBeImageBuffer |
codecImageBufferIsInAGPMemory |
codecImageBufferIsInPCIMemory |

## ◆ anonymous enum

anonymous enum

Enumerator
codecConditionFirstBand |
codecConditionLastBand |
codecConditionFirstFrame |
codecConditionNewDepth |
codecConditionNewTransform |
codecConditionNewSrcRect |
codecConditionNewMask |
codecConditionNewMatte |
codecConditionNewTransferMode |
codecConditionNewClut |
codecConditionNewAccuracy |
codecConditionNewDestination |
codecConditionFirstScreen |
codecConditionDoCursor |
codecConditionCatchUpDiff |
codecConditionMaskMayBeChanged |
codecConditionToBuffer |
codecConditionCodecChangedMask |

## ◆ anonymous enum

anonymous enum

Enumerator
codecInfoDoes1 |
codecInfoDoes2 |
codecInfoDoes4 |
codecInfoDoes8 |
codecInfoDoes16 |
codecInfoDoes32 |
codecInfoDoesDither |
codecInfoDoesStretch |
codecInfoDoesShrink |
codecInfoDoesMask |
codecInfoDoesTemporal |
codecInfoDoesDouble |
codecInfoDoesQuad |
codecInfoDoesHalf |
codecInfoDoesQuarter |
codecInfoDoesRotate |
codecInfoDoesHorizFlip |
codecInfoDoesVertFlip |
codecInfoHasEffectParameterList |
codecInfoDoesBlend |
codecInfoDoesWarp |
codecInfoDoesRecompress |
codecInfoDoesSpool |
codecInfoDoesRateConstrain |

## ◆ anonymous enum

anonymous enum

Enumerator
codecInfoDepth1 |
codecInfoDepth2 |
codecInfoDepth4 |
codecInfoDepth8 |
codecInfoDepth16 |
codecInfoDepth32 |
codecInfoDepth24 |
codecInfoDepth33 |
codecInfoDepth34 |
codecInfoDepth36 |
codecInfoDepth40 |
codecInfoStoresClut |
codecInfoDoesLossless |
codecInfoSequenceSensitive |

## Function Documentation

## ◆ __attribute__()

struct __attribute__ | ( | (__packed__) |  | ) |

## ◆ dump_CodecCapabilities()

static void dump_CodecCapabilities | ( | void * | xxx | ) |
| inlinestatic

Referenced by dump_CodecDecompressParams().

## ◆ dump_CodecDecompressParams()

static void dump_CodecDecompressParams | ( | void * | xxx | ) |
| inlinestatic

References dump_CodecCapabilities(), dump_ImageDescription(), dump_MatrixRecord(), and dump_PixMap().

## ◆ dump_ImageDescription()

static void dump_ImageDescription | ( | void * | xxx | ) |
| inlinestatic

Referenced by dump_CodecDecompressParams().

## ◆ dump_MatrixRecord()

static void dump_MatrixRecord | ( | const char * | title,
|  | MatrixRecord * | m )
| inlinestatic

Referenced by dump_CodecDecompressParams().

## ◆ dump_PixMap()

static void dump_PixMap | ( | void * | xxx | ) |
| inlinestatic

References dump_Rect().

Referenced by dump_CodecDecompressParams().

## ◆ dump_Rect()

static void dump_Rect | ( | const char * | title,
|  | Rect * | r )
| inlinestatic

Referenced by dump_PixMap().